Spaces method and path for this operation:
post /s/{space_id}/api/synthetics/params/_bulk_delete
Refer to Spaces for more information.
Delete parameters from the Synthetics app.
You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read AND uptime-write.
POST
/api/synthetics/params/_bulk_delete
curl
curl \
-X POST "${KIBANA_URL}/api/synthetics/params/_bulk_delete" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{"ids":["param1-id","param2-id"]}'
POST kbn://api/synthetics/params/_bulk_delete
{"ids":["param1-id","param2-id"]}
Request example
Run `POST /api/synthetics/params/_bulk_delete` to delete multiple parameters.
{
"ids": [
"param1-id",
"param2-id"
]
}
Response examples (200)
[
{
"deleted": true,
"id": "param1-id"
}
]